#!/bin/bash

# Channel     VID   AID                                 PID   TID
# Das Erste   513   514(deu),                     516   32    12289 Tde-Nuernberg184500      3/4   -     16    -     7     8     1/4
# Phoenix      49    50(deu),                      52    3     12289 Tde-Nuernberg184500      3/4   -     16    -     7     8     1/4
# arte         33    34(deu),                      36    2     12289 Tde-Nuernberg184500      3/4   -     16    -     7     8     1/4
# EinsPlus     97    98(deu),                      516   6     12289 Tde-Nuernberg184500      3/4   -     16    -     7     8     1/4

maxcon="5"
myip="127.0.0.1"
if [ -z "$1" ]
then
	selcrd="0"
else
	selcrd="$1"
fi
let "epgport = selcrd + 4000"
echo "Trying to run unicast stream from ${selcrd} with maxcon=${maxcon} - EPG on port ${epgport}"

./getstream -a ${selcrd} \
	-f dvbrc-dvb-t-nuernberg \
	-l ${maxcon} \
	-d 1 \
	-p -18:${myip}:${epgport} \
	-p 32:${myip}:2019 \
	-p 3:${myip}:2020 \
	-p 2:${myip}:2021 \
	-p 6:${myip}:2022 
